LibreOffice: com/sun/star/uno/Sequence.hxx File Reference

LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Namespaces | Functions
Sequence.hxx File Reference
`#include <sal/config.h>`
`#include <cassert>`
`#include <cstddef>`
`#include <osl/interlck.h>`
`#include <com/sun/star/uno/Sequence.h>`
`#include <typelib/typedescription.h>`
`#include <uno/data.h>`
`#include <com/sun/star/uno/genfunc.hxx>`
`#include <cppu/unotype.hxx>`

Go to the source code of this file.

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno
| cppu

## Functions
inline ::com::sun::star::uno::Sequence< sal_Int8 > | com::sun::star::uno::toUnoSequence (const ::rtl::ByteSequence &rByteSequence)
| Creates a UNO byte sequence from a SAL byte sequence. More...
template<typename T >
::com::sun::star::uno::Type const & | cppu::getTypeFavourUnsigned (SAL_UNUSED_PARAMETER ::com::sun::star::uno::Sequence< T > const *)
template<typename T >
::com::sun::star::uno::Type const & | cppu::getTypeFavourChar (SAL_UNUSED_PARAMETER ::com::sun::star::uno::Sequence< T > const *)
template<class E >
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Sequence< E > *)
template<class E >
const ::com::sun::star::uno::Type & | getCppuSequenceType (const ::com::sun::star::uno::Type &rElementType)
| Gets the meta type of IDL sequence. More...
const ::com::sun::star::uno::Type & | getCharSequenceCppuType ()
| Gets the meta type of IDL sequence< char >. More...

## Function Documentation

## ◆ getCharSequenceCppuType()

const ::com::sun::star::uno::Type& getCharSequenceCppuType | ( |  | ) |
| inline

Gets the meta type of IDL sequence< char >.

This function has been introduced due to ambiguities with unsigned short.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL sequence< char >

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuSequenceType()

template<class E >

const ::com::sun::star::uno::Type& getCppuSequenceType | ( | const ::com::sun::star::uno::Type & | rElementType | ) |
| inline

Gets the meta type of IDL sequence.

This function has been introduced, because one cannot get the (templated) cppu type out of C++ array types.

Attention
  the given element type must be the same as the template argument type!

Template Parameters

  E | element type of sequence

Parameters

  rElementType | element type of sequence

Returns
  type of IDL sequence

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType()

template<class E >

const ::com::sun::star::uno::Type& getCppuType | ( | SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Sequence< E > * |  | ) |
| inline